"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMojisChoices = exports.filterMojis = void 0;
const consts_1 = require("./consts");
const filterMojis = (arr, query) => {
    return arr.filter(({ name, code }) => {
        return (name.toLocaleLowerCase().includes(query) ||
            code.toLocaleLowerCase().includes(query));
    });
};
exports.filterMojis = filterMojis;
const getMojisChoices = () => {
    return consts_1.GIT_MOJIS.map((choice) => ({
        name: `${choice.emoji}\t${choice.description}`,
        value: { emoji: choice.emoji, code: choice.code },
        code: choice.code,
    }));
};
exports.getMojisChoices = getMojisChoices;
